<?php

namespace types;

use notification_type_t;

class notifications_type_new_booking_c
{
    use notification_type_t;

    /**
     * The id of the booking
     * @var int $data_booking_id The id of the booking
     */
    public int $data_booking_id;

    /**
     * @inheritDoc
     */
    public function run(): void
    {
        self::set_type('NEW_BOOKING');
        self::set_description('This notification is sent when a new booking is created');
    }
}